Package Details: magics++ 4.6.0-0

Git Clone URL: https://aur.archlinux.org/magics++.git (read-only, click to copy)
Package Base: magics++
Description: Magics is the latest generation of the ECMWF's Meteorological plotting software MAGICS.
Upstream URL: https://software.ecmwf.int/wiki/display/MAGP
Licenses: Apache
Submitter: graziano
Maintainer: gchamon
Last Packager: gchamon
Votes: 3
Popularity: 0.000000
First Submitted: 2016-03-28 17:02
Last Updated: 2021-05-08 18:23

Latest Comments

1 2 Next › Last »

capitalaslash commented on 2021-05-28 10:55

Please have a look at

https://github.com/capitalaslash/archlinux-magics

I updated to the latest version, with improvements to the build logic, dependencies and a gcc 11 patch. Let me know how we can integrate it here

mblaschek commented on 2021-05-03 14:32

I could not build 4.5.3 with proj 8.0 as reported here, but updating to 4.6.0 worked.

adjusting PKGBUILD

pkgver=4.6.0
md5sums=('570d9888fc794b7c72c0a09fc9210dc3')

ChristophM commented on 2021-03-17 19:47

I confirm that 4.5.3 works. The following changes to PKGBUILD solved the problem for me:

--- old/PKGBUILD
+++ new/PKGBUILD
@@ -3,7 +3,7 @@

 pkgname=magics++
 Pkgname=Magics
-pkgver=4.3.0
+pkgver=4.5.3
 _attnum=3473464
 pkgrel=2
 pkgdesc="Magics is the latest generation of the ECMWF's Meteorological plotting software MAGICS."
@@ -14,7 +14,7 @@
 optdepends=('libaec' 'odb_api')
 makedepends=('perl-xml-parser' 'gcc-fortran' 'swig' 'python2-numpy' 'cmake' 'boost' 'emos' 'python-jinja')
 source=(http://software.ecmwf.int/wiki/download/attachments/${_attnum}/${Pkgname}-${pkgver}-Source.tar.gz)
-md5sums=('e5b1f222fe8a8766a7cfdd59ce7b3820')
+md5sums=('31e91178eaf6d18a348a740426409746')

 build() {
   cd "$srcdir/${Pkgname}-${pkgver}-Source"
@@ -33,7 +33,6 @@
     -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_BUILD_TYPE=production \
     -DCMAKE_INSTALL_DATADIR=/usr/share \
     -DENABLE_METVIEW=1 -DENABLE_QT5=1 -DPYTHON_EXECUTABLE=/usr/bin/python3 ..
-      sed -i magics.pc-pkg-config-build.cmake -e '/REPLACE/s/++/\\\\+\\\\+/'
   make || return 1
 }

crataegus commented on 2021-03-09 08:55

I got the same error as @mpejcoch on 2020-05-15 but was successfully able to build and install version 4.5.3 downloaded here[1] and following their instructions here[2]. I hope this helps someone.

[1] https://confluence.ecmwf.int/display/MAGP/Releases [2] https://confluence.ecmwf.int/display/MAGP/Installation+Guide

mpejcoch commented on 2020-05-15 15:39

Unfortunately even the 4.3.3 version won't build.

collect2: error: ld returned 1 exit status
make[2]: *** [test/CMakeFiles/bufr_fortran.dir/build.make:122: test/bufr_fortran] Error 1
make[1]: *** [CMakeFiles/Makefile2:1974: test/CMakeFiles/bufr_fortran.dir/all] Error 2
[100%] Linking CXX executable ../../bin/magmlx
[100%] Linking CXX executable ../../bin/magjsonx
/usr/bin/ld: ../../lib/libMagPlus.so: undefined reference to `proj_errno_string'
/usr/bin/ld: ../../lib/libMagPlus.so: undefined reference to `proj_errno_reset'
/usr/bin/ld: ../../lib/libMagPlus.so: undefined reference to `proj_destroy'
/usr/bin/ld: ../../lib/libMagPlus.so: undefined reference to `proj_trans'
/usr/bin/ld: ../../lib/libMagPlus.so: undefined reference to `proj_normalize_for_visualization'
/usr/bin/ld: ../../lib/libMagPlus.so: undefined reference to `proj_errno'
/usr/bin/ld: ../../lib/libMagPlus.so: undefined reference to `proj_create_crs_to_crs'
/usr/bin/ld: ../../lib/libMagPlus.so: undefined reference to `proj_context_create'
collect2: error: ld returned 1 exit status
make[2]: *** [apps/MagMLInterpretor/CMakeFiles/magmlx.dir/build.make:121: bin/magmlx] Error 1
make[1]: *** [CMakeFiles/Makefile2:1891: apps/MagMLInterpretor/CMakeFiles/magmlx.dir/all] Error 2
/usr/bin/ld: ../../lib/libMagPlus.so: undefined reference to `proj_errno_string'
/usr/bin/ld: ../../lib/libMagPlus.so: undefined reference to `proj_errno_reset'
/usr/bin/ld: ../../lib/libMagPlus.so: undefined reference to `proj_destroy'
/usr/bin/ld: ../../lib/libMagPlus.so: undefined reference to `proj_trans'
/usr/bin/ld: ../../lib/libMagPlus.so: undefined reference to `proj_normalize_for_visualization'
/usr/bin/ld: ../../lib/libMagPlus.so: undefined reference to `proj_errno'
/usr/bin/ld: ../../lib/libMagPlus.so: undefined reference to `proj_create_crs_to_crs'
/usr/bin/ld: ../../lib/libMagPlus.so: undefined reference to `proj_context_create'

mpejcoch commented on 2020-05-15 15:37

diff --git a/PKGBUILD b/PKGBUILD
index f632b99..8503fb1 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -3,7 +3,7 @@

pkgname=magics++
Pkgname=Magics
-pkgver=4.3.0
+pkgver=4.3.3
_attnum=3473464
pkgrel=2
pkgdesc="Magics is the latest generation of the ECMWF's Meteorological plotting software MAGICS."
@@ -14,7 +14,7 @@ depends=('qt5-base' 'proj' 'fftw' 'pango' 'netcdf-cxx-legacy' 'eccodes' 'python'
optdepends=('libaec' 'odb_api')
makedepends=('perl-xml-parser' 'gcc-fortran' 'swig' 'python2-numpy' 'cmake' 'boost' 'emos' 'python-jinja')
source=(http://software.ecmwf.int/wiki/download/attachments/${_attnum}/${Pkgname}-${pkgver}-Source.tar.gz)
-md5sums=('e5b1f222fe8a8766a7cfdd59ce7b3820')
+md5sums=('e91b559f891caf45722c589ee4b3186a')

build() {
cd "$srcdir/${Pkgname}-${pkgver}-Source"
@@ -34,7 +34,7 @@ build() {
    -DCMAKE_INSTALL_DATADIR=/usr/share \
    -DENABLE_METVIEW=1 -DENABLE_QT5=1 -DPYTHON_EXECUTABLE=/usr/bin/python3 ..
    sed -i magics.pc-pkg-config-build.cmake -e '/REPLACE/s/++/\\\\+\\\\+/'
-  make || return 1
+  make -j$(nproc) || return 1
}

package() {

sankayop commented on 2019-12-05 12:44

Hi, I tried to build it via yay without success.

2 questions arose:

  • Do you have any idea where this error could come from:
[ 98%] Building C object libemos-sp/CMakeFiles/emos_sp.dir/pbio/gbyte_le.c.o
[ 98%] Linking Fortran static library ../lib/libemos.a
[ 98%] Built target emos_sp
make: *** [Makefile:163: all] Error 2
==> ERROR: A failure occurred in build().
    Aborting...
Error making: emos
  • is there another pkbuild building it with python 3?

Thanks in advance for your input and sorry for annoying :)

ram commented on 2019-01-04 08:09

happy new year!

I tried a fresh install and had to install python2-jinja to survive the cmake step. might be worth adding to the dependencies

cheers!

bderembl commented on 2018-07-12 14:27

I was able to compile it with python 3 as mentioned here https://confluence.ecmwf.int/display/MAGP/Magics

Also, I added python-jinja as another dependency

OdinEidolon commented on 2018-03-11 10:12

I get this error When building:

Scanning dependencies of target magics_params
[  1%] Generating params/Akima474MethodAttributes.h, params/Akima474MethodAttributes.cc
Traceback (most recent call last):
  File "/tmp/yaourt-tmp-adriano/aur-magics++/src/Magics-3.0.0-Source/src/../tools/xml2cc.py", line 2, in <module>
    import jinja2
ImportError: No module named jinja2
make[2]: *** [src/CMakeFiles/magics_params.dir/build.make:582: src/params/Akima474MethodAttributes.h] Error 1
make[1]: *** [CMakeFiles/Makefile2:1274: src/CMakeFiles/magics_params.dir/all] Error 2
make: *** [Makefile:163: all] Error 2
==> ERROR: A failure occurred in build().

However the /tmp/yaourt-tmp-adriano/aur-magics++/src/Magics-3.0.0-Source/src/../tools/xml2cc.py seems fine, I can load jinja2 without problems.

Installing python2-jinja fixes it.